# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sabiql"
version = "1.8.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A fast, driver-less TUI for browsing and editing PostgreSQL databases"
homepage = "https://github.com/riii111/sabiql"
readme = "README.md"
keywords = [
    "postgresql",
    "tui",
    "database",
    "cli",
    "sql",
]
categories = [
    "command-line-utilities",
    "database",
]
license = "MIT"
repository = "https://github.com/riii111/sabiql"

[features]
default = []
self-update = ["dep:self_update"]
test-support = []

[lib]
name = "sabiql"
path = "src/lib.rs"

[[bin]]
name = "sabiql"
path = "src/main.rs"

[[test]]
name = "adapter_postgres"
path = "tests/adapter_postgres.rs"

[[test]]
name = "render_snapshots"
path = "tests/render_snapshots.rs"
required-features = ["test-support"]

[dependencies.arboard]
version = "3"

[dependencies.async-trait]
version = "0.1"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.color-eyre]
version = "0.6"

[dependencies.crossterm]
version = "0.29"
features = ["event-stream"]

[dependencies.csv]
version = "1"

[dependencies.dirs]
version = "5"

[dependencies.dotenvy]
version = "0.15"

[dependencies.futures]
version = "0.3"

[dependencies.lru]
version = "0.16"

[dependencies.nucleo-matcher]
version = "0.3"

[dependencies.ratatui]
version = "0.30"

[dependencies.regex]
version = "1"

[dependencies.self_update]
version = "0.42"
features = [
    "archive-tar",
    "archive-zip",
    "compression-flate2",
    "rustls",
]
optional = true
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1"
features = [
    "full",
    "test-util",
]

[dependencies.tokio-util]
version = "0.7"

[dependencies.toml]
version = "0.8"

[dependencies.urlencoding]
version = "2"

[dependencies.uuid]
version = "1"
features = ["v4"]

[dev-dependencies.insta]
version = "1"

[dev-dependencies.mockall]
version = "0.13"

[dev-dependencies.pretty_assertions]
version = "1"

[dev-dependencies.rstest]
version = "0.19"

[dev-dependencies.tempfile]
version = "3"

[profile.release]
lto = true
codegen-units = 1
